fbpx

Recommended usage of the Updates API to support the auto-updates UI for Plugins and Themes in WordPress 5.5

GET UP TO $500K IN BUSINESS FUNDING

This is an addendum to Controlling Plugin and Theme auto-updates UI in WordPress 5.5.

By default, the enable and disable auto-updates action links for plugins (detailed in the previous developer note) will only appear when the WordPress Core Updates API (available since version 3.7.0) is supported.

All plugins that are hosted in the WordPress Plugin Directory and themes that are hosted in the WordPress Theme Directory already fully support the Updates API and require no changes.

Plugins and themes that are hosted elsewhere (such as premium or “private” plugins) can also support the Updates API with a little bit of

BUILD A WEBSITE: RESOURCES

Pin It on Pinterest

Share This
Xiphos Web Marketing

FREE
VIEW